snap-core-0.7.0.1: Snap: A Haskell Web Framework (Core)

Snap.Util.Readable

Synopsis

- class Readable a where
  - fromBS :: Monad m => ByteString -> m a

# Documentation

class Readable a where

Monadic analog to Read that uses ByteString instead of String.

Methods

fromBS :: Monad m => ByteString -> m a

Instances

Readable Double |
Readable Int |
Readable Integer |
Readable Text |
Readable ByteString |